<template>
  <div
      v-if="videos"
      class="d-flex flex-row justify-start mt-3"
  >
    <div
        v-for="(videoPreview) in videos"
        :key="videoPreview"
        class="mr-3"
    >
      <video width="400" controls>
        <source :src="videoPreview" id="video_here">
        Your browser does not support HTML5 video.
      </video>
    </div>
  </div>
</template>

<script>
export default {
  name: "VideoChatMessage",
  props: {
    videos: {
      type: Array
    }
  },
  created() {
    console.log(this.videos);
  }
}
</script>

<style scoped>

</style>
